## ros-noetic-pr2-controller-configuration 1.6.32

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_controller_configuration)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

install(FILES
   pr2_arm_controllers.yaml
   pr2_base_controller2.yaml
   pr2_base_controller.yaml
   pr2_calibration_controllers.yaml
   pr2_gripper_controllers.yaml
   pr2_head_controller.yaml
   pr2_joint_effort_controllers.yaml
   pr2_joint_position_controllers.yaml
   pr2_joint_velocity_controllers.yaml
   pr2_laser_tilt_controller.yaml
   pr2_odometry.yaml
   pr2_torso_controller.yaml
   pr2_default_controllers.launch
   pr2_jt_controllers.launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})


# roslaunch checks
roslaunch_add_file_check(pr2_default_controllers.launch)
#roslaunch_add_file_check(pr2_jt_controllers.launch)

=== debian/changelog ===
ros-noetic-pr2-controller-configuration (1.6.32-1buster) buster; urgency=high

  * add pr2_joint_group_velocity_controllers.yaml
    add JointGroupVelocityController in pr2_controllers (see https://github.com/PR2/pr2_controllers/pull/400)
  * Contributors: Shuang Li

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 25 May 2021 15:00:00 -0000

ros-noetic-pr2-controller-configuration (1.6.31-1buster) buster; urgency=high

  * fixed integer cast to void* warning in pr2_ethercat; fixed broken launchtest for now
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 13 Apr 2020 15:00:00 -0000

ros-noetic-pr2-controller-configuration (1.6.30-1buster) buster; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Apr 2018 15:00:00 -0000

ros-noetic-pr2-controller-configuration (1.6.29-1buster) buster; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 21 Apr 2018 15:00:00 -0000

ros-noetic-pr2-controller-configuration (1.6.28-1buster) buster; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 15:00:00 -0000

ros-noetic-pr2-controller-configuration (1.6.27-1buster) buster; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 19 Apr 2018 15:00:00 -0000

ros-noetic-pr2-controller-configuration (1.6.26-1buster) buster; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 18 Mar 2018 15:00:00 -0000

ros-noetic-pr2-controller-configuration (1.6.25-1buster) buster; urgency=high

  * updated packages for new maintainer
  * updated changelogs
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 18 Mar 2018 15:00:00 -0000

ros-noetic-pr2-controller-configuration (1.6.7-1buster) buster; urgency=high

  * Updated mainpage.dox
  * Corrected typo in description of pr2 effort controllers.
  * Contributors: Georg Bartels, TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 10 Feb 2015 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-pr2-controller-configuration
Section: misc
Priority: optional
Maintainer: Dave Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch
Homepage: http://ros.org/wiki/pr2_controller_configuration
Standards-Version: 3.9.2

Package: ros-noetic-pr2-controller-configuration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-pr2-controller-manager, ros-noetic-pr2-gripper-action, ros-noetic-pr2-head-action, ros-noetic-pr2-machine, ros-noetic-robot-mechanism-controllers, ros-noetic-single-joint-position-action
Description: Configuration files for PR2 controllers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-pr2-controller-configuration//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
